package me.mrletsplay.shareclient.views;

import org.eclipse.jface.dialogs.TitleAreaDialog;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;

public class ScrollableDialog extends TitleAreaDialog {

	private String text;

	public ScrollableDialog(Shell parentShell, String title, String text) {
		super(parentShell);
		setTitle(title);
		this.text = text;
	}

	@Override
	protected Control createDialogArea(Composite parent) {
		Composite composite = (Composite) super.createDialogArea(parent);

		GridData gridData = new GridData();
		gridData.grabExcessHorizontalSpace = true;
		gridData.horizontalAlignment = GridData.FILL;
		gridData.grabExcessVerticalSpace = true;
		gridData.verticalAlignment = GridData.FILL;

		Text scrollable = new Text(composite, SWT.BORDER | SWT.V_SCROLL);
		scrollable.setLayoutData(gridData);
		scrollable.setText(text);

		return composite;
	}

	@Override
	protected boolean isResizable() {
		return true;
	}

}
